<div class="card card-tasks">
  <div class="card-header">
    <div class="row">
      <div class="col-sm-6 col-lg-3 text-left">
        <h6 class="title d-inline">Message(<b>{{sms?.length || '0'}}</b>)</h6>
        <p class="card-category d-inline">today</p>
        <div ngbDropdown>
          <button
            class="btn btn-info btn-block"
            data-toggle="dropdown"
            ngbDropdownToggle
            type="button"
          >
            {{currentNumber}}
          </button>
          <div
            aria-labelledby="dropdownMenuLink"
            class="dropdown-menu-right"
            ngbDropdownMenu
          >
            <a *ngFor="let number of userService.numbers$ | async; let idx = index" href="javascript:;" (click)='currentNumber = number' ngbDropdownItem> {{number}} </a>
          </div>
        </div>
      </div>

      <div class="col-sm-6 col-lg-9">
        <div ngbDropdown>
          <button
            class="btn btn-link btn-icon"
            data-toggle="dropdown"
            ngbDropdownToggle
            type="button"
          >
            <i class="tim-icons icon-settings-gear-63"> </i>
          </button>
          <div
            aria-labelledby="dropdownMenuLink"
            class="dropdown-menu-right"
            ngbDropdownMenu
          >
            <a href="javascript:void(0)" ngbDropdownItem> Action </a>
            <a href="javascript:void(0)" ngbDropdownItem> Another action </a>
            <a href="javascript:void(0)" ngbDropdownItem> Something else </a>
          </div>
        </div>
        <div
          class="btn-group btn-group-toggle float-right"
          data-toggle="buttons"
        >
          <label class="btn btn-sm btn-danger btn-simple" *ngIf="(sms | countSmsMarkedForSent) as counter;">
            <input checked="checked" name="options" type="radio" (click)='sendMarkedSms()'/>
            <span class="d-none d-sm-block d-md-block d-lg-block d-xl-block">{{ 'Send(' + counter + ')' }}</span>
            <span class="d-block d-sm-none"><i class="tim-icons icon-single-02"></i></span>
          </label>
        </div>
      </div>
    </div>
  </div>
  <div class="card-body">
    <div class="table-full-width table-responsive"
         style="overflow-x: hidden"
    >
      <table class="table">
        <tbody>
        <tr *ngFor='let i of sms; let idx = index'>
          <td>
            <div class="form-check">
              <label class="form-check-label">
                <input
                  class="form-check-input"
                  type="checkbox"
                  [(ngModel)]="i.markedForSent"
                  [ngModelOptions]="{standalone: true}"
                  [disabled]="i.isProcessing"
                />
                <span class="form-check-sign"><span class="check"></span></span>
              </label>
            </div>
          </td>
          <td>
            <p class="title">{{i?.recipientNumber}}</p>
            <p class="text-muted">
              {{i['message']}}
            </p>
          </td>
          <td class="td-actions text-right">
            <button *ngIf="i.isProcessing" class="btn btn-link" type="button" placement="left" ngbTooltip="Wokring" container="body">
              <i class="tim-icons icon-alert-circle-exc"> </i>
            </button>
          </td>
          <td class="td-actions text-right">
            <button class="btn btn-link" type="button" placement="left" ngbTooltip="Remove" container="body" (click)='removeJobById(i.id)'>
              <i class="tim-icons icon-simple-remove"> </i>
            </button>
          </td>
        </tr>
        <!--        <tr>-->
        <!--          <td>-->
        <!--            <div class="form-check">-->
        <!--              <label class="form-check-label">-->
        <!--                <input-->
        <!--                  class="form-check-input"-->
        <!--                  type="checkbox"-->
        <!--                  value=""-->
        <!--                />-->

        <!--                <span class="form-check-sign">-->
        <!--                          <span class="check"> </span>-->
        <!--                        </span>-->
        <!--              </label>-->
        <!--            </div>-->
        <!--          </td>-->
        <!--          <td>-->
        <!--            <p class="title">Update the Documentation</p>-->
        <!--            <p class="text-muted">-->
        <!--              Dwuamish Head, Seattle, WA 8:47 AM-->
        <!--            </p>-->
        <!--          </td>-->
        <!--          <td class="td-actions text-right">-->
        <!--            <button class="btn btn-link" type="button" placement="left" ngbTooltip="Edit Task" container="body" >-->
        <!--              <i class="tim-icons icon-pencil"> </i>-->
        <!--            </button>-->
        <!--          </td>-->
        <!--        </tr>-->
        <!--        <tr>-->
        <!--          <td>-->
        <!--            <div class="form-check">-->
        <!--              <label class="form-check-label">-->
        <!--                <input-->
        <!--                  checked=""-->
        <!--                  class="form-check-input"-->
        <!--                  type="checkbox"-->
        <!--                  value=""-->
        <!--                />-->

        <!--                <span class="form-check-sign">-->
        <!--                          <span class="check"> </span>-->
        <!--                        </span>-->
        <!--              </label>-->
        <!--            </div>-->
        <!--          </td>-->
        <!--          <td>-->
        <!--            <p class="title">GDPR Compliance</p>-->
        <!--            <p class="text-muted">-->
        <!--              The GDPR is a regulation that requires businesses to-->
        <!--              protect the personal data and privacy of Europe citizens-->
        <!--              for transactions that occur within EU member states.-->
        <!--            </p>-->
        <!--          </td>-->
        <!--          <td class="td-actions text-right">-->
        <!--            <button class="btn btn-link" type="button" placement="left" ngbTooltip="Edit Task" container="body" >-->
        <!--              <i class="tim-icons icon-pencil"> </i>-->
        <!--            </button>-->
        <!--          </td>-->
        <!--        </tr>-->
        <!--        <tr>-->
        <!--          <td>-->
        <!--            <div class="form-check">-->
        <!--              <label class="form-check-label">-->
        <!--                <input-->
        <!--                  class="form-check-input"-->
        <!--                  type="checkbox"-->
        <!--                  value=""-->
        <!--                />-->

        <!--                <span class="form-check-sign">-->
        <!--                          <span class="check"> </span>-->
        <!--                        </span>-->
        <!--              </label>-->
        <!--            </div>-->
        <!--          </td>-->
        <!--          <td>-->
        <!--            <p class="title">Solve the issues</p>-->
        <!--            <p class="text-muted">-->
        <!--              Fifty percent of all respondents said they would be more-->
        <!--              likely to shop at a company-->
        <!--            </p>-->
        <!--          </td>-->
        <!--          <td class="td-actions text-right">-->
        <!--            <button class="btn btn-link" type="button" placement="left" ngbTooltip="Edit Task" container="body" >-->
        <!--              <i class="tim-icons icon-pencil"> </i>-->
        <!--            </button>-->
        <!--          </td>-->
        <!--        </tr>-->
        <!--        <tr>-->
        <!--          <td>-->
        <!--            <div class="form-check">-->
        <!--              <label class="form-check-label">-->
        <!--                <input-->
        <!--                  class="form-check-input"-->
        <!--                  type="checkbox"-->
        <!--                  value=""-->
        <!--                />-->

        <!--                <span class="form-check-sign">-->
        <!--                          <span class="check"> </span>-->
        <!--                        </span>-->
        <!--              </label>-->
        <!--            </div>-->
        <!--          </td>-->
        <!--          <td>-->
        <!--            <p class="title">Release v2.0.0</p>-->
        <!--            <p class="text-muted">-->
        <!--              Ra Ave SW, Seattle, WA 98116, SUA 11:19 AM-->
        <!--            </p>-->
        <!--          </td>-->
        <!--          <td class="td-actions text-right">-->
        <!--            <button class="btn btn-link" type="button" placement="left" ngbTooltip="Edit Task" container="body"  >-->
        <!--              <i class="tim-icons icon-pencil"> </i>-->
        <!--            </button>-->
        <!--          </td>-->
        <!--        </tr>-->
        <!--        <tr>-->
        <!--          <td>-->
        <!--            <div class="form-check">-->
        <!--              <label class="form-check-label">-->
        <!--                <input-->
        <!--                  class="form-check-input"-->
        <!--                  type="checkbox"-->
        <!--                  value=""-->
        <!--                />-->

        <!--                <span class="form-check-sign">-->
        <!--                          <span class="check"> </span>-->
        <!--                        </span>-->
        <!--              </label>-->
        <!--            </div>-->
        <!--          </td>-->
        <!--          <td>-->
        <!--            <p class="title">Export the processed files</p>-->
        <!--            <p class="text-muted">-->
        <!--              The report also shows that consumers will not easily-->
        <!--              forgive a company once a breach exposing their personal-->
        <!--              data occurs.-->
        <!--            </p>-->
        <!--          </td>-->
        <!--          <td class="td-actions text-right">-->
        <!--            <button class="btn btn-link" type="button" placement="left" ngbTooltip="Edit Task" container="body" >-->
        <!--              <i class="tim-icons icon-pencil"> </i>-->
        <!--            </button>-->
        <!--          </td>-->
        <!--        </tr>-->
        <!--        <tr>-->
        <!--          <td>-->
        <!--            <div class="form-check">-->
        <!--              <label class="form-check-label">-->
        <!--                <input-->
        <!--                  class="form-check-input"-->
        <!--                  type="checkbox"-->
        <!--                  value=""-->
        <!--                />-->

        <!--                <span class="form-check-sign">-->
        <!--                          <span class="check"> </span>-->
        <!--                        </span>-->
        <!--              </label>-->
        <!--            </div>-->
        <!--          </td>-->
        <!--          <td>-->
        <!--            <p class="title">Arival at export process</p>-->
        <!--            <p class="text-muted">-->
        <!--              Capitol Hill, Seattle, WA 12:34 AM-->
        <!--            </p>-->
        <!--          </td>-->
        <!--          <td class="td-actions text-right">-->
        <!--            <button class="btn btn-link" type="button" placement="left" ngbTooltip="Edit Task" container="body" >-->
        <!--              <i class="tim-icons icon-pencil"> </i>-->
        <!--            </button>-->
        <!--          </td>-->
        <!--        </tr>-->
        </tbody>
      </table>
    </div>
  </div>
</div>
